---
kubernetes_version: "v1.31"
kubernetes_firewalld_folder: /usr/lib/firewalld/services

kubernetes_packages:
  - firewalld
  - containerd
  - kubeadm
  - kubelet
  - kubectl
  - software-properties-common
  - apt-transport-https
  - ca-certificates
  - curl
  - gnupg
  - python3-pip
  - python3-kubernetes

# Redhat
kubernetes_yum_folder: /etc/yum.repos.d

kubernetes_crio_rhel: https://download.opensuse.org/repositories/devel:/kubic:/libcontainers:/stable:/cri-o:/1.25/CentOS_8_Stream/repodata/repomd.xml.key

# Ubuntu
kubernetes_folder:
  - /etc/apt/keyrings
  - /etc/containerd

kubernetes_key_dest: /etc/apt/keyrings

kubernetes_repo:
  url: "https://pkgs.k8s.io/core:/stable:/{{ kubernetes_version }}/deb/Release.key"
  dest: "{{ kubernetes_key_dest }}/kubernetes.key"
  repo: "deb [arch=amd64 signed-by={{ kubernetes_key_dest }}/kubernetes.key] https://pkgs.k8s.io/core:/stable:/{{ kubernetes_version }}/deb/ /"
  filename: kubernetes

kubernetes_control_plane_ports:
  - 6443    # API server
  - 2379-2380  # etcd server client API
  - 10250   # kubelet API
  - 10251   # kube-scheduler
  - 10252   # kube-controller-manager
  - 10255   # read-only kubelet API

kubernetes_worker_ports:
  - 10250        # Kubelet API
  - 30000-32767  # NodePort Services

kubernetes_pod_network_ports:
  - 8285    # Flannel VXLAN (ou autre CNI si différent)
